tasty-lua-0.2.2: Write tests in Lua, integrate into tasty.

Copyright | © 2019–2020 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <albert+hslua@zeitkraut.de>
Stability | alpha
Portability | Requires GHC
Safe Haskell | None
Language | Haskell2010

Test.Tasty.Lua.Translate

Description

Translate test results from Lua into a Tasty ``TestTree``.

Synopsis

- translateResultsFromFile :: FilePath -> Lua TestTree
- pathFailure :: FilePath -> String -> TestTree

# Documentation

translateResultsFromFile :: FilePath -> Lua TestTree Source #

Run tasty.lua tests from the given file and translate the result into a mock Tasty ``TestTree``.

pathFailure :: FilePath -> String -> TestTree Source #

Report failure of testing a path.